PETSc version 3.15.5
Fix/Edit manual page

# KSPSetReusePreconditioner

reuse the current preconditioner, do not construct a new one even if the operator changes

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode  KSPSetReusePreconditioner(KSP ksp,PetscBool flag)

Collective on ksp

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flag | - PETSC_TRUE to reuse the current preconditioner

### See Also

KSPCreate(), KSPSolve(), KSPDestroy(), PCSetReusePreconditioner(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/tutorials/ex6f.F90.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages